cascading.flow.hadoop.stream.graph

## Class HadoopMapStreamGraph

- java.lang.Object
- - cascading.flow.stream.graph.StreamGraph
  - - cascading.flow.stream.graph.NodeStreamGraph
    - - cascading.flow.hadoop.stream.graph.HadoopMapStreamGraph

    public class HadoopMapStreamGraph
    extends NodeStreamGraph

### Field Summary

### Fields inherited from class cascading.flow.stream.graph.NodeStreamGraph

`elementGraph, flowProcess, node, streamedSource`

### Fields inherited from class cascading.flow.stream.graph.StreamGraph

`DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HadoopMapStreamGraph(HadoopFlowProcess flowProcess, FlowNode node, Tap source)`

### Method Summary

Methods
`protected void` `buildGraph()`
`protected Gate` `createCoGroupGate(CoGroup element, IORole role)`
`protected Gate` `createGroupByGate(GroupBy element, IORole role)`
`protected GroupingSpliceGate` `createNonBlockingJoinGate(HashJoin join)`
`protected SinkStage` `createSinkStage(Tap element)`
`SourceStage` `getStreamedHead()`

### Methods inherited from class cascading.flow.stream.graph.NodeStreamGraph

`createBlockingJoinGate, createBoundaryStage, createHashJoinGate, createMergeStage, findExisting, getProperty, handleDuct, setScopes, setTraps`

### Methods inherited from class cascading.flow.stream.graph.StreamGraph

`addHead, addPath, addPath, addTail, bind, cleanup, createCloseWindow, createFork, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printBoundGraph, printBoundGraph, printGraph, printGraph, printGraphError, wrapWithOrdinal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopMapStreamGraph

    public HadoopMapStreamGraph(HadoopFlowProcess flowProcess,
                        FlowNode node,
                        Tap source)

### Method Detail

#### getStreamedHead

    public SourceStage getStreamedHead()

#### buildGraph

    protected void buildGraph()

#### createSinkStage

    protected SinkStage createSinkStage(Tap element)

Overrides:
  `createSinkStage` in class `NodeStreamGraph`

#### createCoGroupGate

    protected Gate createCoGroupGate(CoGroup element,
                         IORole role)

Specified by:
  `createCoGroupGate` in class `NodeStreamGraph`

#### createGroupByGate

    protected Gate createGroupByGate(GroupBy element,
                         IORole role)

Specified by:
  `createGroupByGate` in class `NodeStreamGraph`

#### createNonBlockingJoinGate

    protected GroupingSpliceGate createNonBlockingJoinGate(HashJoin join)

Overrides:
  `createNonBlockingJoinGate` in class `NodeStreamGraph`